probe::scsi.iodispatching
Prev | Chapter 10. SCSI Tapset | Next

## Name

probe::scsi.iodispatching — SCSI mid-layer dispatched low-level SCSI command

## Synopsis

    scsi.iodispatching

## Values

`request_bufflen`

  The request buffer length

`device_state_str`

  The current state of the device, as a string

`dev_id`

  The scsi device id

`lun`

  The lun number

`data_direction_str`

  Data direction, as a string

`host_no`

  The host number

`request_buffer`

  The request buffer address

`channel`

  The channel number

`device_state`

  The current state of the device

`req_addr`

  The current struct request pointer, as a number

`data_direction`

  The data_direction specifies whether this command is from/to the device 0 (DMA_BIDIRECTIONAL), 1 (DMA_TO_DEVICE), 2 (DMA_FROM_DEVICE), 3 (DMA_NONE)

Prev | Up | Next
probe::scsi.iocompleted | Home | probe::scsi.iodone